## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryImmediateEditor

    java.lang.Object
      javax.swing.tree.DefaultTreeCellEditor
          org.apache.log4j.lf5.viewer.categoryexplorer.CategoryImmediateEditor

All Implemented Interfaces:
  ActionListener, EventListener, CellEditor, TreeSelectionListener, TreeCellEditor

    public class CategoryImmediateEditor

extends DefaultTreeCellEditor

CategoryImmediateEditor

Author:
  Michael J. Sikorsky, Robert Shaw

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.tree.DefaultTreeCellEditor
`DefaultTreeCellEditor.DefaultTextField, DefaultTreeCellEditor.EditorContainer`

Field Summary
`protected Icon` `editingIcon`

Fields inherited from class javax.swing.tree.DefaultTreeCellEditor
`borderSelectionColor, canEdit, editingComponent, editingContainer, font, lastPath, lastRow, offset, realEditor, timer, tree`

Constructor Summary
`CategoryImmediateEditor(JTree tree, CategoryNodeRenderer renderer, CategoryNodeEditor editor)`

Method Summary
`protected boolean` `canEditImmediately(EventObject e)`
`protected void` `determineOffset(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
`boolean` `inCheckBoxHitRegion(MouseEvent e)`
`boolean` `shouldSelectCell(EventObject e)`

Methods inherited from class javax.swing.tree.DefaultTreeCellEditor
`actionPerformed, addCellEditorListener, cancelCellEditing, createContainer, createTreeCellEditor, getBorderSelectionColor, getCellEditorListeners, getCellEditorValue, getFont, getTreeCellEditorComponent, inHitRegion, isCellEditable, prepareForEditing, removeCellEditorListener, setBorderSelectionColor, setFont, setTree, shouldStartEditingTimer, startEditingTimer, stopCellEditing, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editingIcon

    protected Icon editingIcon

Constructor Detail

### CategoryImmediateEditor

    public CategoryImmediateEditor(JTree tree,
                                   CategoryNodeRenderer renderer,
                                   CategoryNodeEditor editor)

Method Detail

### shouldSelectCell

    public boolean shouldSelectCell(EventObject e)

  Specified by:
    `shouldSelectCell` in interface `CellEditor`
  Overrides:
    `shouldSelectCell` in class `DefaultTreeCellEditor`

### inCheckBoxHitRegion

    public boolean inCheckBoxHitRegion(MouseEvent e)

### canEditImmediately

    protected boolean canEditImmediately(EventObject e)

  Overrides:
    `canEditImmediately` in class `DefaultTreeCellEditor`

### determineOffset

    protected void determineOffset(JTree tree,
                                   Object value,
                                   boolean isSelected,
                                   boolean expanded,
                                   boolean leaf,
                                   int row)

  Overrides:
    `determineOffset` in class `DefaultTreeCellEditor`

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.